Remove Verification Waiver
curl --request DELETE \
--url https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers/{step_type} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers/{step_type}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers/{step_type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers/{step_type}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers/{step_type}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers/{step_type}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers/{step_type}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"unwaived_step_types": [
"id_check"
]
}
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}Check-ins
Remove a check-in waiver
Hand a waived check-in step back to the guest.
DELETE
/
v1
/
workspaces
/
{workspace_id}
/
portal-check-ins
/
{reservation_id}
/
waivers
/
{step_type}
Remove Verification Waiver
curl --request DELETE \
--url https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers/{step_type} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers/{step_type}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers/{step_type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers/{step_type}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers/{step_type}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers/{step_type}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers/{step_type}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"unwaived_step_types": [
"id_check"
]
}
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}Authorizations
Conduit API token. Use Authorization: Bearer <token>. Read/write endpoints require a token with write access.
Path Parameters
Workspace identifier
Minimum string length:
1PMS reservation identifier of the stay, the reservation external_id that list_portal_sessions returns
Minimum string length:
1Waived check-in step to hand back to the guest
Available options:
id_check, agreement, damage_waiver, security_deposit, mandatory_fee, guest_details, additional_questions, other_guests, guest_registration, custom_field_gate Response
Remove Verification Waiver
Show child attributes
Show child attributes
Was this page helpful?